Web lists-archives.com

[Samba] Samba 4.7.8 Available for Debian Stretch (amd64/i386)




Hai. 

I've finished the 4.7.8 package for Debian Stretch.
You can find them in the repo stretch-unstable. 
(Note, these are not unstable, but a bad choice of words was made here.)

This version is alligned with the debian samba patches up to 4.8.2, but adapted in this 4.7.8.

The Build logs can be found here: 
http://downloads.van-belle.nl/samba4/Buildlogs/stretch/ 

So, i've made a few needed changes, checkout the changelog, its a long one, here it is. 
Do note anything above this (see one below) line in the changelog are my changes for the 4.7.8 packages.

     The changelog from debian samba 4.7.4+ up to 4.8.2 adjusted for 4.7.8 build

And anything below that (see the above one) line are the debian changes as of 4.7.4 up to 4.8.2. 


samba (2:4.7.8+nmu-1~deb9) stretch; urgency=medium

  * Non-maintainer upload.
  * New base setup from 4.8.2-2 Debian testing is used.
  * Bump build-depends tevent >= 0.9.36~
  * Removed : Fix-spelling.patch, does not apply to 4.7.8
  * changed d/rules, check if systemd service files exist before move
    - remove syslog.target from service files, refers to an obsolete target.
  * changed d/samba.install remove samba_gpoupdate not in 4.7.8
  * changed d/samba-libs.install remove libgpext.so.0 not in 4.7.8
  * changed d/samba.lintian-override added samba_ files no man page.
  * changed d/samba-common-bin.lintian-override added : samba_kcc no man page.
  * removed changelog parts from 4.7.8 up to 4.8.2 due to lintian warnings
    - latest-debian-changelog-entry-without-new-version, see below this line.
    The changelog from debian samba 4.7.4+ up to 4.8.2 adjusted for 4.7.8 build
  * Update panic-action script message, samba-dbg renamed to samba-dbgsym
    (Closes: #900242)
  * Ensure /var/lib/samba/dhcp.conf exists (Closes: #901585)
  * Check smb.conf with testparm, and also with samba-tool when
    server role = active directory domain controller (Closes: #900908)
  * Fix lintian warnings with patches recently merged upstream:
    - Add Fix-pidl-manpage-sections.patch
    - Add Fix-spelling.patch
    - Add Improve-vfs_linux_xfs_sgid-manpage.patch
  * Wrap very long lines in d/rules
  * Really ignore nmbd start errors when there is no non-loopback interface
    (Closes: #893762)
  * Ignore nmbd start errors when there is no local IPv4 non-loopback interface
    (Closes: #859526)
  * Fix possible-unindented-list-in-extended-description in samba-vfs-modules
  * Add lintian override for "smbclient: executable-is-not-world-readable
    usr/lib/x86_64-linux-gnu/samba/smbspool_krb5_wrapper 0700" (See #894720)
  * Improve samba-vfs-modules description (Closes: #776505)
  * Check smb.conf in samba-common-bin.postinst (Closes: #816301)
  * Mark libparse-pidl-perl, samba-dev, samba-dsdb-modules and samba-vfs-modules
    as"Multi-Arch: same"
  * Standards-Version: 4.1.4, no change
  * debian/smb.conf: Fix typo in comment line: sever -> server (Closes: #763648)
  * Read smb.conf until [print$] section instead of [cdrom] to preserve
    locally-defined shares (Closes: #776259)
  * Fix and improve dhcp integration:
    - dhclient3 was renamed to dhclient long time ago...
    - Remove /etc/samba/dhcp.conf on purge (Closes: #784713)
    - Move dhcp.conf out of /etc to allow ro root (Closes: #695362)
    - Update template for "Move dhcp.conf out of /etc to allow ro root"
  * Enable --accel-aes=intelaesni on DEB_HOST_GNU_CPU=x86_64 (Closes: #896196)
    - Use dh-exec to install libaesni-intel.so.0 only on amd64
    used instead)
  * Mask services as appropriate in samba and winbind postinst (Closes: #863285)
    - mask samba-ad-dc unless server role = active directory domain controller
      (as before)
    - mask smbd and nmbd when server role = active directory domain controller
    - mask nmbd when disable netbios = yes (Closes: #866125)
  * Set smbspool_krb5_wrapper permissions to 0700 (Closes: #894720, #372270)
  * Remove Depends: samba-libs of lib{nss,pam}-winbind
  * Mark winbind "Multi-Arch: allowed" and make lib{pam,nss}-winbind depends on
    winbind:any to allow co-installation (Closes: #881100)
  * Ignore nmbd start errors when there is no non-loopback interface
    (Closes: #893762)
    - Update d/gbp.conf and d/watch for 4.8
   - Re-apply patches
    - Remove patches merged upstream:
      + no_build_system.patch
      + systemd-syslog.target-is-obsolete.patch
      + Add-documentation-to-systemd-Unit-files.patch
      + fix_kill_path_in_units.patch
      + nmbd-requires-a-working-network.patch
      + CVE-2018-1050-11343-4.7.patch
      + CVE-2018-1057-v4-7.metze01.patches.txt
    - Bump build-depends talloc >= 2.1.11~, tdb >= 1.3.15~, tevent >= 0.9.36~
      and ldb >= 2:1.3.2~
    - Drop Build-Conflicts-Arch: libaio-dev, vfs_aio_linux was dropped
    - Update debian/*.install and use debian/not-installed
    - Update debian/libsmbclient.symbols
    - Upload to experimental
  * debian/README.source
    - Update instructions
    - Convert to Markdown
    - Add a symlink from README.source to README.source.md
  * debian/rules:
    - Use the new --systemd-install-services
    - Use dh_missing --fail-missing
    - Re-order debian/rules overrides in the order they are called
    - Remove broken get-packaged-orig-source target
    - Remove unused DEB_BUILD_OPT_FOO variables
    - Add some comments
    - Move all the custom installs from override_dh_install to
      override_dh_auto_install
    - Remove --sourcedir override to dh_install "since dh_install automatically
      looks for files in debian/tmp in debhelper compatibility level 7 and
      above"
    - PIDFile= is now correctly set in *.service
  * Update d/control, Relax Build-Depends to allow backport

 -- Louis van Belle <louis@xxxxxxxxxxxx>  Thu, 21 Jun 2018 14:24:22 +0000


Greetz, 

Louis



-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba